# PulpContainerClient::ContainerContainerDistribution

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | [**Object**](.md) |  | [optional] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**content_guard** | **String** | An optional content-guard. If none is specified, a default one will be used. | [optional] 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**repository_version** | **String** | RepositoryVersion to be served | [optional] 
**private** | **Boolean** | Restrict pull access to explicitly authorized users. Defaults to unrestricted pull access. | [optional] 
**description** | **String** | An optional description. | [optional] 

## Code Sample

```ruby
require 'PulpContainerClient'

instance = PulpContainerClient::ContainerContainerDistribution.new(pulp_labels: null,
                                 base_path: null,
                                 content_guard: null,
                                 repository: null,
                                 name: null,
                                 repository_version: null,
                                 private: null,
                                 description: null)
```


